#!/bin/bash
set -exuo pipefail

cd -- "$( dirname -- "${BASH_SOURCE[0]}" )"

header="# DO NOT EDIT: This file has been automatically generated by the script in helm/render-all.sh, edits may get overwritten"
render_helm() {
    target="${1}"
    component="${2}"
    mkdir -p "${target}/${component}"
    echo "${header}" > "${target}/${component}/bundle.yaml"
    rm -rf "${component}/charts" # it doesn't seem to update them otherwise
    kubectl kustomize --enable-helm "${component}/" >> "${target}/${component}/bundle.yaml"
}

# main k8s cluster operators
for component in openbao external-secrets secrets-store-csi-driver cert-manager-webhook-pdns; do
    render_helm ../k8s/operators "${component}"
done

# cisco k8s cluster operators
for component in rook cert-manager-webhook-pdns traefik; do
    render_helm ../talos/k8s/operators "${component}"
done
