variable "realm" {
  type = string
}

variable "vault_mount" {
  type = string
}

variable "client_id" {
  type = string
  description = "the keycloak client ID. Ideally this matches the Kubernetes namespace the resource is deployed to."
}

variable "name" {
  type = string
  default = null
  nullable = true
  description = "An (optional) display name shown to the user in certain dark corners of Keycloak. client_id is used by default."
}

variable "namespace" {
  type = string
  default = null
  nullable = true
  description = "Kubernetes namespace that will use this client, used for creating vault path. client_id is used by default."
}

variable "root_url" {
  type = string
  default = null
  nullable = true
  description = "The root URL of the app. https://<client_id>.janky.solutions is used by default"
}

variable "valid_redirect_uris" {
    type = list(string)
    default = []
    description = "URIs the client will ask keycloak to send the user back to after auth. /* is used by default."
}

variable "use_refresh_tokens" {
    type = bool
    default = false
}

variable "service_accounts_enabled" {
  type = bool
  default = false
}
